> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retailgrid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify API key

> Validate a Retailgrid API key and confirm the authenticated account, environment, and key permissions before making other API calls.



## OpenAPI

````yaml GET /v1/auth/verify
openapi: 3.1.0
info:
  title: Retailgrid Public API
  version: v1
servers: []
security: []
paths:
  /v1/auth/verify:
    get:
      tags:
        - auth
      summary: Verify Api Key
      operationId: verify_api_key_v1_auth_verify_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VerifyApiKeyResponse'
components:
  schemas:
    VerifyApiKeyResponse:
      properties:
        ok:
          type: boolean
          title: Ok
        user_id:
          type: string
          format: uuid
          title: User Id
        api_key_id:
          type: string
          format: uuid
          title: Api Key Id
      type: object
      required:
        - ok
        - user_id
        - api_key_id
      title: VerifyApiKeyResponse
      description: Response returned when a public API key authenticates successfully.

````